Subject: (urth) Re: Digest urth.v017.n004

From: Alice Turner <al at interport.net>
Date: Sat, 18 Jul 1998 03:16:27 +0000

>Don't know if this has been brought up before, but if Owen/Ouen is
>considered to be the Welsh/Celtic equivalent of Eugene, doesn't that mean
>Sev's father might also be called Gene?

>From the Oxford book of English Christian names:

OWEN: a common Welsh name; in Middle English romances often spelled Owain,
Owayne, Ywain. It has been supposed to be derived from Latin Eugenius...see
Ewan. (Ouen)

EWEN: this name, now confined to Scotland, was once common in England...It
is probably the same as Irish and Gaelic Eoghan 'a youth,' which is frequent
in Celtic legend and history. Eoghan is usually derived from Primitive
Celtic Eugenius  'well-born,' from which is derived Old Welsh Euguein which
later became Middle Welsh Ewein, Ywein, whence modern Welsh Owain, Owen.

Bravo, scolex. Thank you.

-alga-

*More Wolfe info & archive of this list at http://www.urth.net/urth/